Bug 1024359 - audit: Provide Python 3 subpackage
audit: Provide Python 3 subpackage
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 988304 F23PYTHON3
  Show dependency treegraph
 
Reported: 2013-10-29 10:05 EDT by Miro Hrončok
Modified: 2015-07-17 07:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: audit-2.4.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-17 07:26:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Port auparse_python.c to Python 3. (7.52 KB, patch)
2015-01-23 06:30 EST, Bohuslav "Slavek" Kabrda
no flags Details | Diff

  None (edit)
Description Miro Hrončok 2013-10-29 10:05:32 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

According to FESCo, we should firstly focus on the cloud image.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that at least for F22 you should provide python3 subpackage.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Bohuslav "Slavek" Kabrda 2015-01-23 06:30:39 EST
Created attachment 983307 [details]
Port auparse_python.c to Python 3.

I'm attaching a patch that ports auparse_python.c to work with Python2 >= 2.6 and Python3 >= 3.3. All the other files are ok, since they're SWIG-generated and SWIG works just fine with Python 3. (I did some very simple smoke tests and everything seems to work. I'm not sure how the bindings are supposed to be used since I couldn't find documentation anywhere and there is no test suite/examples. So I'd like to ask you to run some more thorough tests).

Could you please review the patch and accept it ASAP? We'd like to have audit-libs-python3 subpackage in Fedora 22. Let me know if there's anything  I can help you with.

Thanks a lot.
Comment 2 Bohuslav "Slavek" Kabrda 2015-02-18 05:03:57 EST
Hi, can you please do this before the deadline for Changes for F22? Otherwise we'd probably have to postpone even https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements. Thanks.
Comment 3 Steve Grubb 2015-02-19 08:36:54 EST
Working on libcap-ng right now. When I have that working fine, I'll use that recipe to make the audit subpackage.
Comment 4 Bohuslav "Slavek" Kabrda 2015-02-23 07:27:59 EST
Ok, so it seems that we'll have to revert after all for F22 [1], so feel free to build this just for F23.
Thanks.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1194577#c4
Comment 5 Jaroslav Reznik 2015-03-03 10:10:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Robert Kuska 2015-04-02 03:13:49 EDT
Switching version to rawhide as it is needed for Fedora 23 currently.


Steve, is audit ready to be switched?
Comment 7 Steve Grubb 2015-06-01 10:32:47 EDT
I have been doing some work in the upstream svn now that libcap-ng has a recipe that I can replicate for audit:

https://fedorahosted.org/audit/changeset/1079

There is still work to be done for the auparse library which is not built by SWIG but rather hand coded python bindings.
Comment 8 Steve Grubb 2015-07-15 08:15:15 EDT
Attached patch was applied as upstream commit 1092. Commit 1093 adds the Makefile.am changes. This will be in the 2.4.3 release that is planned for next week.
Comment 9 Jan Kurik 2015-07-15 10:44:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.